WPG2Parser.cpp File Reference documentation

WPG2Parser.cpp File Reference
`#include <librevenge/librevenge.h>`
`#include <libwpd/libwpd.h>`
`#include "WPG2Parser.h"`
`#include "libwpg_utils.h"`
`#include <cstring>`
`#include <limits>`
`#include <math.h>`
`#include <vector>`

## Classes
class | WPG2Parser::ObjectCharacterization

## Macros
#define | DUMP_BINARY_DATA 0
#define | M_PI 3.14159265358979323846
#define | TO_DOUBLE(x)
#define | TRANSFORM_XY(x, y)

## Functions
unsigned long | getRemainingLength (librevenge::RVNGInputStream *const input)

## Variables
static const unsigned char | defaultWPG2PaletteRed []
static const unsigned char | defaultWPG2PaletteGreen []
static const unsigned char | defaultWPG2PaletteBlue []

## Macro Definition Documentation

## ◆ DUMP_BINARY_DATA

#define DUMP_BINARY_DATA 0

Referenced by WPG2Parser::WPG2Parser().

## ◆ M_PI

#define M_PI 3.14159265358979323846

Referenced by WPG2Parser::handleBrushForeColor(), and WPG2Parser::handleDPBrushForeColor().

## ◆ TO_DOUBLE

#define TO_DOUBLE | ( |  | x | ) |

Value:
( (m_doublePrecision) ? ((double)(x)/65536.0) : (double)(x) )

Referenced by WPG2Parser::handleArc(), WPG2Parser::handleBitmap(), WPG2Parser::handleBrushForeColor(), WPG2Parser::handleDPBrushForeColor(), WPG2Parser::handleDPPenSize(), WPG2Parser::handleFormSettings(), WPG2Parser::handleObjectCapsule(), WPG2Parser::handlePenSize(), WPG2Parser::handlePenStyleDefinition(), WPG2Parser::handlePolycurve(), WPG2Parser::handlePolyline(), WPG2Parser::handleRectangle(), WPG2Parser::handleStartWPG(), WPG2Parser::handleTextBlock(), and WPG2Parser::handleTextLine().

## ◆ TRANSFORM_XY

#define TRANSFORM_XY | ( |  | x,
|  |  | y )

Value:
{ m_matrix.transform((x),(y)); (x)-= m_xofs; (y)-= m_yofs; (y)=m_height-(y); }

Referenced by WPG2Parser::handleArc(), WPG2Parser::handleBitmap(), WPG2Parser::handleObjectCapsule(), WPG2Parser::handlePolycurve(), WPG2Parser::handlePolyline(), WPG2Parser::handleRectangle(), WPG2Parser::handleTextBlock(), and WPG2Parser::handleTextLine().

## Function Documentation

## ◆ getRemainingLength()

unsigned long libwpg::getRemainingLength | ( | librevenge::RVNGInputStream *const | input | ) |

Referenced by WPG2Parser::handleBitmapData(), and WPG2Parser::parse().

## Variable Documentation

## ◆ defaultWPG2PaletteBlue

const unsigned char defaultWPG2PaletteBlue[]
| static

Referenced by WPG2Parser::resetPalette().

## ◆ defaultWPG2PaletteGreen

const unsigned char defaultWPG2PaletteGreen[]
| static

Referenced by WPG2Parser::resetPalette().

## ◆ defaultWPG2PaletteRed

const unsigned char defaultWPG2PaletteRed[]
| static

Referenced by WPG2Parser::resetPalette().